Bug 658630 - [RFE] include "check but load" option for audit
Summary: [RFE] include "check but load" option for audit
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: audit
Version: 6.1
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Steve Grubb
QA Contact: Ondrej Moriš
URL:
Whiteboard:
Depends On:
Blocks: 750571 756082
TreeView+ depends on / blocked
 
Reported: 2010-11-30 20:56 UTC by Jeremy West
Modified: 2018-11-14 16:55 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-20 14:29:23 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2012:0929 0 normal SHIPPED_LIVE audit bug fix and enhancement update 2012-06-19 20:46:00 UTC

Description Jeremy West 2010-11-30 20:56:55 UTC
1. Customer Name

MPO (The NSA)

   2. What is the nature and description of the request?

Customer specifically wants auditctl command to include a "check but load" option.  This option would load valid rules specified, not-load/reject invalid/unparsable rules, and then exiting with non-zero if invalid/unparsable rules were excluded.

   3. Why does the customer need this? (List the business requirements here)

Classified (literally)

   4. How would the customer like to achieve this? (List the functional requirements here)

Customer very specific about wanting this functionality included in auditctl command line tool.  An external/seperate parser/checker would likely be an acceptable workaround.

   5. For each functional requirement listed in question 4, specify how Red Hat and the customer can test to confirm the requirement is successfully implemented.

* auditctl command without "check but load" option refuses to load any rules if invalid/unparsable rules found, and exits non-zero.
* auditctl command with "check but load" option loads valid & parsable rules, and exits with zero.
* auditctl command with "check but load" option refuses to load invalid/unparsable rules, and exits non-zero.
* auditctl command with "check but load" option loads valid & parsable rules, refuses to load invalid/unparsable rules, and exits non-zero.

   6. Is there already an existing RFE upstream or in Red Hat bugzilla?

None that I am aware of.

   7. How quickly does this need resolved? (desired target release)

Sometime within RHEL 6 support lifetime

   8. Does this request meet the RHEL Inclusion criteria (please review)

Yes. Falls under "Medium Priority Issues" - "Depending upon capacity"

   9. List the affected packages

audit-2.0.4

Comment 1 Steve Grubb 2010-11-30 21:04:58 UTC
Does using the '-i' option work for them? You would put it into the audit.rules file like this:

-D
-i
-b 8192
-f 2
...

The '-i' means ignore problem rules.

Comment 3 RHEL Program Management 2011-07-06 00:40:14 UTC
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unfortunately unable to
address this request at this time. Red Hat invites you to
ask your support representative to propose this request, if
appropriate and relevant, in the next release of Red Hat
Enterprise Linux. If you would like it considered as an
exception in the current release, please ask your support
representative.

Comment 6 Steve Grubb 2012-01-30 16:28:22 UTC
New -C option added upstream:
https://fedorahosted.org/audit/changeset/629

Comment 7 Steve Grubb 2012-03-05 13:01:17 UTC
audit-2.2-1.el6 was built to resolve this issue.

Comment 10 errata-xmlrpc 2012-06-20 14:29:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2012-0929.html


Note You need to log in before you can comment on or make changes to this bug.